- NAME
- SYNOPSIS
- DESCRIPTION
- ARGUMENTS
- SEE ALSO

# NAME

stag-parse.pl - parses a file and fires events (e.g. sxpr to xml)

# SYNOPSIS

      # convert XML to IText
      stag-parse.pl -p xml -w itext file1.xml file2.xml

      # use a custom parser/generator and a custom writer/generator
      stag-parse.pl -p MyMod::MyParser -w MyMod::MyWriter file.txt

# DESCRIPTION

script wrapper for the Data::Stag modules

feeds in files into a parser object that generates nestarray events, and feeds the events into a handler/writer class

# ARGUMENTS

-p|parser FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  this is the class that parsers the input `file(s)` and generates stag events

  xml assumed as default

-w|writer FORMAT
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  this is the class that catches the events thrown by the parser; it can be any class, but the class is typically a writer

  xml assumed as default

-o|out FILE
  the writer will use this file (defaults to STDOUT)

-e|errf FILE
  file to store parse error handler output

-errhandler FORMAT/MODULE
  FORMAT is one of xml, sxpr or itext, or the name of a perl module

  all parse error events go to this module

-r|root NODE_NAME
  if this is specified, NODE_NAME becomes the root of the stag tree, and anything that was previously the root is placed below this.

  this happens automatically if more than one file is parsed (because there can only be one tree root)

-color
  Works only if the output handler is able to provide ASCII-colors (currently supported for itext and xml)

# SEE ALSO

the Data::Stag manpage

This script is a wrapper for the method

      Data::Stag->parse()